server:
  port: @profiles.server.port@
  servlet:
    context-path: /
    async-supported: true  # ✅ 强制所有 Servlet 和 Filter 开启异步
  tomcat:
    async-timeout: 60000  # ✅ 统一配置异步超时 60 秒
spring:
  mvc:
    async:
      request-timeout: 10000
  application:
    name: @project.artifactId@
    profiles:
      active: @profiles.active@
  servlet:
    multipart:
      max-file-size: 2048MB
      max-request-size: 2048MB
  dao:
    exceptiontranslation:
      enabled: false
#  redis:
#    host: @profiles.redis.uri@
#    port: @profiles.redis.port@
#    username: @profiles.redis.username@
#    password: @profiles.redis.password@
#    database:  @profiles.redis.database@
  jackson:
    serialization:
      WRITE_DATES_AS_TIMESTAMPS: true
    default-property-inclusion: NON_NULL
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: @profiles.datasource.uri@
    username: @profiles.datasource.username@
    password: @profiles.datasource.password@

mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml

application:
  auth:
    unloginUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*
    uncheckUrl: /refresh,/error,/login/login,/login/index,/login/logout,/securitycode/createCode,/file/common/*,,/test*,/api/asset/*,/api/*,/zwfw/*,/ws/*,/swagger-ui*
cookie:
  ssoServerUrl: http://sso.testnew.com
  key: 026db82420614469897fcc2dc1b4ce38
  domain: base.testnew.com
  port: 111
upload:
  path: @profiles.filepath@
project:
  publishPath: @profiles.publish.path@
  nacosUrl: @profiles.nacosUrl@
chat:
  streamChatUrl: @profiles.chat.streamChatUrl@
  auth-head: @profiles.chat.auth-head@
  auth-value: @profiles.chat.auth-value@
